Interface RoutingRequest
- All Superinterfaces:
HttpRequest, ServerRequest
Routing request.
-
Method Summary
Modifier and TypeMethodDescriptiondefault RoutingRequestmatchingPattern(String matchingPattern) Update the pattern used to match this request.default RoutingRequestmatchingPattern(Supplier<Optional<String>> matchingPattern) Update the pattern used to match this request using a supplier.path(RoutedPath routedPath) Update path of this request.prologue(HttpPrologue newPrologue) Update prologue of this request.Methods inherited from interface HttpRequest
authority, header, headers, id, localPeer, prologue, query, remotePeer, requestedUriModifier and TypeMethodDescriptionThe content of theHeaderNames.HOSTheader orauthoritypseudo header (HTTP/2).voidReplace (or set) a request header.headers()Headers of the request.intid()Request ID on this connection.Peer info of the local side.prologue()Prologue of the request.query()Query of the request.Peer info of the remote peer.URI as requested by the originating client (to the best of our ability to compute it).Methods inherited from interface ServerRequest
content, context, continueSent, isSecure, listenerContext, matchingPattern, path, proxyProtocolData, reset, security, serverSocketId, sniMatchedHost, sniRequestedHost, socketId, streamFilterModifier and TypeMethodDescriptioncontent()Server request entity.context()Context of this web server request, to set and get information.booleanWhether we have already sent theStatus.CONTINUE_100when expect continue is present.booleanisSecure()Whether this request was over a secure protocol (TLS).Listener context.The pattern used to match this request.path()Path of the request.Access proxy protocol data for the connection on which this request was sent.voidreset()Reset request related state on the connection if any.security()HTTP security associated with this listener, configured on routing.Identification of the listener socket.Configured virtual-host host that matched the TLS Server Name Indication (SNI) requested host.Normalized DNS host name requested by the client using TLS Server Name Indication (SNI).socketId()Identification of the client/server connection socket.voidstreamFilter(UnaryOperator<InputStream> filterFunction) Configure a custom input stream to wrap the input stream of the request.
-
Method Details
-
path
Update path of this request. For internal use only to Helidon.- Parameters:
routedPath- routed path, that provides matched path parameters from path pattern- Returns:
- this instance
-
prologue
Update prologue of this request. For internal use only to Helidon.- Parameters:
newPrologue- new prologue to use (on rerouting)- Returns:
- this instance
-
matchingPattern
Update the pattern used to match this request. Such as "/foo/{bar}". For internal use only to Helidon.- Parameters:
matchingPattern- the matching pattern, ornullto clear it- Returns:
- this instance
-
matchingPattern
Update the pattern used to match this request using a supplier. The supplier is invoked at most once, when the matching pattern is first requested. For internal use only to Helidon.- Parameters:
matchingPattern- matching pattern supplier, returning an empty optional if no pattern is available- Returns:
- this instance
-